{block content}
<div class="row">
<div class="col s8">
{ifset $tables}
	{foreach $rooms as $room}
		<h3>{$room}</h3>
		{foreach $tables as $table}
			{if ($table->room == $room)}
				<a n:href="Table:default $table->id" class="waves-effect waves-light">
					<div n:class="$table->capacity == 2 ? two : ($table->capacity == 4 ? four : ($table->capacity == 6 ? six)), restaurant_table, $table->getOrders() ? full : empty">
						<h3 class="white-text">{$table->id}</h3>
					</div>
				</a>
			{/if}
		{/foreach}
	{/foreach}
{/ifset}
</div>

<div class="col s4 black_radius_border" style="margin-top: 20px">
		<h4 class="center-align">Dnešní rezervace</h4>
	{ifset $todaysBookings}
		{snippet todaysBookingsPanel}
		<div class="col s12">
			<table>
				<thead>
				<tr>
					<th>Čas</th>
					<th>Stoly</th>
					<th>Počet lidí</th>
					<th>Na jméno</th>
					<th>Kontakt</th>
				</tr>
				</thead>
				<tbody>
				{foreach $todaysBookings as $booking}
					<tr>
						<td><span class="bold">{$booking->dateTime->format('H:i')}</span></td>
						<td>{foreach $booking->tables as $table}{$table->getId()} {/foreach}</td>
						<td>{$booking->numberOfPeople}</td>
						<td>{$booking->customer}</td>
						<td>{$booking->phoneNumber}</td>
						<td></td>
					</tr>
				{/foreach}
				</tbody>
			</table>
		</div>
	{/snippet}
	{/ifset}
	<div class="col s12 center-align" style="margin: 20px 0;">
		<a class="btn-flat black white-text bold modal-trigger" href="#show-bookings" style="margin 20px !important;">
			Zobrazit všechny rezervace
		</a>
	</div>
</div>


<div class="col s4 black_radius_border" style="padding: 0 40px 40px 40px;">
	{form addBookingForm}
		<h3 class="center-align">Přidat rezervaci</h3>
		<div class="row">
			<div class="col s12">
				<div class="input-field">
					{input customer class=>"validate"}
					{label customer}
				</div>
				{label tables} <br/>
				<div class="row">
						{foreach $form['tables']->items as $key => $label}
							<div class="col s6 m6 l3">
								<label>
									<input type="checkbox" n:name="tables:$label"/>
									<span style="margin-right: 25px">{$label}</span>
								</label>
							</div>
						{/foreach}
				</div>
			</div>
			<div class="col s6">
				{label date}
				<input type="text" name="date" class="datepicker validate">
			</div>
			<div class="col s6">
				{label time}
				<input type="text" name="time" class="timepicker validate">
			</div>
			<div class="col s8">
				<div class="input-field">
					{input phoneNumber class=>"validate"}
					{label phoneNumber}
				</div>
			</div>
			<div class="col s4">
				<div class="input-field">
					{input numberOfPeople class=>"validate"}
					{label numberOfPeople}
				</div>
			</div>
			<div class="col s12 center-align">
				<button class="btn-flat black white-text bold" type="submit" name="send">
					Potvrdit
				</button>
				<button class="btn-flat black white-text bold" type="submit" name="send">
					Přidat objednávku
				</button>
			</div>
		</div>
	{/form}
</div>


<div id="show-bookings" class="modal"">
	<div class="modal-content">
		<h3>Aktívní rezervace</h3>
		{snippet bookingArea}
		<table class="striped">
			<thead>
			<tr>
				<th>Datum a čas</th>
				<th>Stoly</th>
				<th>Počet lidí</th>
				<th>Na jméno</th>
				<th>Kontakt</th>
			</tr>
			</thead>
			<tbody>
			{ifset $bookings} {foreach $bookings as $booking}
				<tr>
					<td>{$booking->dateTime->format('d.m.Y')} <span class="bold">{$booking->dateTime->format('H:i')}</span></td>
					<td>{foreach $booking->tables as $table}{$table->getId()} {/foreach}</td>
					<td>{$booking->numberOfPeople}</td>
					<td>{$booking->customer}</td>
					<td>{$booking->phoneNumber}</td>
					<td><a n:href="removeBooking! $booking->getId()" class="btn-flat black white-text ajax"><i class="material-icons">remove</i></a></td>
				</tr>
			{/foreach} {/ifset}
			</tbody>
		</table>
		{/snippet}
	</div>
	<div class="modal-footer">
		<button class="btn-flat modal-close">
			Zavřít
		</button>
	</div>
</div>

{if $user->isInRole('owner')}
<div class="fixed-action-btn">
	<a class="btn-floating btn-large black">
		<i class="large material-icons">add</i>
	</a>
	<ul>
		<li><a class="btn-floating green modal-trigger" href="#add-table"><i class="material-icons">panorama_wide_angle</i></a></li>
	</ul>
</div>

<div id="add-table" class="modal" style="width: 600px;">
	{form addTableForm}
	<div class="modal-content">
		<h3>Přidat stůl</h3>
		<div class="input-field">
			<select name="room">
				<option n:foreach="$form[room]->items as $key => $label" value="{$key}">{$label}</option>
			</select>
			{label room}
		</div>

		{label capacity}
		{foreach $form['capacity']->items as $key => $label}
			<p>
				<label>
					<input n:name="capacity:$key" type="radio" />
					<span>{$label}</span>
				</label>
			</p>
		{/foreach}
	</div>

	<div class="modal-footer">
		<button class="btn-flat modal-close" type="submit" name="send">
			Přidat
		</button>
	</div>
	{/form}
</div>
{/if}